Bug 24899 - Reindent record matching rules template
Summary: Reindent record matching rules template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16763
  Show dependency treegraph
 
Reported: 2020-03-18 19:14 UTC by Owen Leonard
Modified: 2020-11-13 14:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24899: Reindent record matching rules template (72.42 KB, patch)
2020-06-25 11:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24899: (follow-up) Add markup comments (11.45 KB, patch)
2020-06-25 11:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24899: Reindent record matching rules template (72.42 KB, patch)
2020-10-02 12:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24899: (follow-up) Add markup comments (11.45 KB, patch)
2020-10-02 12:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24899: Reindent record matching rules template (72.47 KB, patch)
2020-10-02 19:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 24899: (follow-up) Add markup comments (11.50 KB, patch)
2020-10-02 19:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 24899 - Display issue with match checks (15.12 KB, image/png)
2020-10-02 20:02 UTC, David Nind
Details
Bug 26529: (follow-up) Remove warning (1.14 KB, patch)
2020-10-13 12:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24899: Reindent record matching rules template (72.53 KB, patch)
2020-10-13 12:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24899: (follow-up) Add markup comments (11.56 KB, patch)
2020-10-13 12:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-18 19:14:08 UTC
I propose to reformat the record matching rules template (matching-rules.tt) so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2020-06-25 11:58:05 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-06-25 11:58:09 UTC Comment hidden (obsolete)
Comment 3 David Nind 2020-09-23 08:59:59 UTC
Hi Owen.

It all seemed to work - add, edit, and delete - I've never used this feature, so don't know exactly what it does though 8-)

I did notice on lines 176, 181, and 186 of the updated file that matchpoint was changed to tchpoint

If this is what is required, I will sign off.

David
Comment 4 Owen Leonard 2020-10-02 12:05:31 UTC
Created attachment 111139 [details] [review]
Bug 24899: Reindent record matching rules template

This patch reindents the template the record matching rules template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> Record matching
rules.

Test adding, editing, and deleting record matching rules. Test adding,
editing, and deleting match points and match checks. Confirm that
changes are saved correctly.
Comment 5 Owen Leonard 2020-10-02 12:05:35 UTC
Created attachment 111140 [details] [review]
Bug 24899: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.
Comment 6 David Nind 2020-10-02 19:55:11 UTC
Created attachment 111180 [details] [review]
Bug 24899: Reindent record matching rules template

This patch reindents the template the record matching rules template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> Record matching
rules.

Test adding, editing, and deleting record matching rules. Test adding,
editing, and deleting match points and match checks. Confirm that
changes are saved correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2020-10-02 19:55:20 UTC
Created attachment 111181 [details] [review]
Bug 24899: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 David Nind 2020-10-02 20:02:20 UTC
Created attachment 111182 [details]
Bug 24899 - Display issue with match checks

Hi Owen.

I noticed this very minor display issue with match checks:
1. Add a match check
2. After the check is added, there is no spacing and | between Match check1 and Add match check, that is it displays as "Match check 1Add match check" (see attached image)

This was the case before the patches were applied, and existing in 20.05.x as well.

I can open another bug for this.

David
Comment 9 Katrin Fischer 2020-10-13 12:14:50 UTC
Created attachment 111543 [details] [review]
Bug 26529: (follow-up) Remove warning

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-10-13 12:14:56 UTC
Created attachment 111544 [details] [review]
Bug 24899: Reindent record matching rules template

This patch reindents the template the record matching rules template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> Record matching
rules.

Test adding, editing, and deleting record matching rules. Test adding,
editing, and deleting match points and match checks. Confirm that
changes are saved correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-10-13 12:15:02 UTC
Created attachment 111545 [details] [review]
Bug 24899: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-10-14 12:54:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-11-13 14:44:41 UTC
enhancement will not be backported to 20.05.x